ATAPI_PACKET_TASK(9)

NAME
atapi_packet_task - Write CDB bytes to hardware

SYNOPSIS

void atapi_packet_task (void * _data);

ARGUMENTS

_data
    Port to which ATAPI device is attached.

DESCRIPTION

When device has indicated its readiness to accept a CDB, this function is called. Send the CDB. If DMA is to be performed, exit immediately. Otherwise, we are in polling mode, so poll status under operation succeeds or fails.

LOCKING

Kernel thread context (may sleep)

AUTHOR
Jeff Garzik.